"use strict";


const healthCheckConstants = require("../../../shared/constants/HealthCheckConstants");
module.exports = function(providerName) {
  if (providerName) {
    const providerPath = "./" + providerName.toLowerCase();

    return require(providerPath);
  } else {
    return {
      healthCheck: () => Promise.reject(healthCheckConstants.FAIL)
    };
  }
};
